Create Form
curl --request POST \
--url https://api.example.com/api/v1/brief-forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"schema_json": {},
"description": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ui_schema_json": {},
"source_type": "manual",
"status": "active",
"is_template": false
}
'import requests
url = "https://api.example.com/api/v1/brief-forms"
payload = {
"name": "<string>",
"schema_json": {},
"description": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ui_schema_json": {},
"source_type": "manual",
"status": "active",
"is_template": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
schema_json: {},
description: '<string>',
team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ui_schema_json: {},
source_type: 'manual',
status: 'active',
is_template: false
})
};
fetch('https://api.example.com/api/v1/brief-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_json": {},
"ui_schema_json": {},
"source_type": "<string>",
"status": "<string>",
"is_template": true,
"current_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brief Forms
Create Form
Create a new composable brief form.
POST
/
api
/
v1
/
brief-forms
Create Form
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create a new composable brief form.
Required string length:
1 - 200JSON Schema (draft 2020-12) defining the form
Maximum string length:
2000NULL = account-level form
RJSF uiSchema for layout/widget hints
How the form was created
draft | active | archived
Platform-provided template
Response
Successful Response
Full form detail including schema.
Was this page helpful?
⌘I